# Request and response notes

## Checkpoint 1
Read the request and response shown on lines 1-32 of the lab. Choose 
five lines from the request and/or the response. For each, make an inference
about the meaning of the line, and some situation in which it might be useful. 
You are welcome to research the meanings of these headers, but it's also 
fine to speculate for now.

Host: riddles.makingwithcode.org
I think this is the server that information is being pulled from.

Content-Length: 2073
I think this is the number of characters in the response.

Date: Fri, 26 Apr 2024 12:10:26 GMT
I think this is the date the request was made.

Server: nginx/1.22.0 (Ubuntu)
I'm not sure what the nginx/1.22.0 means, but I know Ubuntu is an operating system. Maybe this is to specify a type of server or what operating system is server is running?

"riddles": [
This looks like the response provided a dictionary?

## Checkpoint 2
The goal of this checkpoint is to see what status codes you can get back from 
the riddle server. Paste below several `http` requests and the status codes
they return.

http -v open https://riddles.makingwithcode.org/all
HTTP/1.1 405 Method Not Allowed

http -v get https://riddles.makingwithcode.org/
HTTP/1.1 404 Not Found

http -v post https://riddles.makingwithcode.org/new
HTTP/1.1 400 Bad Request
